using Lada.Framework.Data.Domains.Categories;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Lada.Framework.Data.Mappings.EntityMappings.Categories
{
    public class AgencyMap : IEntityMappingConfiguration<Agency>
    {
        public void Map(EntityTypeBuilder<Agency> builder)
        {
            builder.HasKey(a => a.Id);

            //builder.HasMany(o => o.Users).WithOne(add => add.Agency).HasForeignKey(add => add.AgencyId);

            builder.ToTable("Agency");
        }
    }
}
